Bug 442810 - ssh-add -l doesn't seem to work correctly any more
ssh-add -l doesn't seem to work correctly any more
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks: F9Target
  Show dependency treegraph
Reported: 2008-04-16 18:00 EDT by Nalin Dahyabhai
Modified: 2015-03-03 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 576754 None None None Never

  None (edit)
Description Nalin Dahyabhai 2008-04-16 18:00:31 EDT
Description of problem:
When I have encrypted pubkeys in my .ssh directory, and the SSH client needs to
use them, gnome-keyring pops up a dialog to ask for the passphrase.  If I enter
it, the next time I run the SSH client, I'm not prompted for the passphrase
again.  The gnome-keyring has apparently saved my key.  This is quite different
from how the normal SSH client/agent interaction works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run "ssh-add -D" to clear keys from your agent.
2. Run "ssh-add -l" to list which keys the agent has.
3. Run "ssh-add" to add your keys to the agent.
4. Run "ssh-add -l" to list which keys the agent has.
Actual results:
The same results both times.

Expected results:
Different (correct) results.
Comment 1 Lubomir Kundrak 2008-04-30 05:19:55 EDT
Given there's a regression in behavior of ssh agent that has Security
implications, setting it as a release blocker.


By the way, we still run ssh-agent, so just disabling ssh support in keyring is
required to revert to old behavior until things get sorted.
Comment 2 Bill Nottingham 2008-05-02 11:23:25 EDT
Moving to target. At this point, I don't see how this is a *release* blocker,
although it's a viable candidate for a day zero update.
Comment 3 Bug Zapper 2008-05-14 05:33:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Bug Zapper 2009-06-09 20:13:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-07-14 12:34:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.